package net.lensfrex.socket;

public class MessageData {
    private final int idLength;
    private final byte[] idData;

    private final int messageLength;
    private final byte[] messageData;

    public MessageData(int idLength, byte[] idData, int messageLength, byte[] messageData) {
        this.idLength = idLength;
        this.idData = idData;
        this.messageLength = messageLength;
        this.messageData = messageData;
    }

    public int getIdLength() {
        return idLength;
    }

    public byte[] getIdData() {
        return idData;
    }

    public int getMessageLength() {
        return messageLength;
    }

    public byte[] getMessageData() {
        return messageData;
    }
}
