package net.lensfrex.socket;

import java.io.Serializable;

public class DataPack implements Serializable {
    private final byte[] opcode;
    private final int dataLength;
    private final byte[] data;

    public DataPack(byte[] opcode, byte[] data) {
        this.opcode = opcode;
        this.dataLength = data.length;
        this.data = data;
    }

    public byte[] getOpcode() {
        return opcode;
    }

    public int getDataLength() {
        return dataLength;
    }

    public byte[] getData() {
        return data;
    }
}
